# 판매할 수 있는 아이템 목록 가져오기

카탈로그 작성을 위해 판매할 수 있는 아이템 목록을 가져옵니다.


  주의
    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 응답당 50개 항목입니다. 페이지별로 더 많은 데이터를 얻으려면 limit 및 offset 입력란을 사용하세요.





  참고
    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 개인화된 사용자 데이터를 검색하세요. 이를 위해 Authorization 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 보안 블록을 참조하십시오.

Endpoint: GET /v2/project/{project_id}/items
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.
    Example: 59080

## Query parameters:

  - `limit` (integer)
    페이지 요소 개수 제한입니다.
    Example: 50

  - `offset` (integer)
    목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

  - `locale` (string)
    응답 언어. ISO 639-1 표준에 따른 소문자 두 글자 언어 코드(예: en)입니다. name 및 description과 같은 현지화 입력란에서는 다섯 글자 로케일 코드(예: en-US)를 사용할 수 있지만, 응답에서는 두 글자 코드로 정규화됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

  - `additional_fields[]` (array)
    응답에 포함할 추가 필드입니다. 기본적으로 이러한 필드는 반환되지 않습니다. 포함하려면 필수 값을 전달해야 합니다.
    Enum: "media_list", "order", "long_description", "custom_attributes", "item_order_in_group"

  - `country` (string)
    ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드입니다. 엑솔라에서 지원하는 국가 및 국가 판별 프로세스에 대한 자세한 정보는 설명서를 확인하십시오.
    Example: "US"

  - `promo_code` (string)
    고유한 대/소문자 구분 코드입니다. 문자와 숫자를 포함합니다.
    Example: "WINTER2021"

  - `show_inactive_time_limited_items` (integer)
    사용자가 사용할 수 없는 사용기간 제한 아이템을 표시합니다. 해당 아이템의 사용기간이 아직 시작되지 않았거나 이미 만료되었습니다.
    Example: 1

## Response 200 fields (application/json):

  - `has_more` (boolean)
    페이지가 더 있다는 표시로 사용됩니다.

  - `items` (array)
    Example: [{"item_id":259765,"sku":"com.xsolla.gold_1","type":"virtual_currency","name":"Gold","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","price":{"amount":"1.00","amount_without_discount":"1.00","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"limits":{"per_user":{"total":5,"available":3,"recurrent_schedule":{"interval_type":"weekly","reset_next_date":1746057600},"limit_exceeded_visibility":"show"}},"vp_rewards":[{"item_id":175232,"sku":"com.xsolla.value_point_1","amount":130,"name":"Value point","image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg"},{"item_id":186321,"sku":"com.xsolla.clan_value_point_1","amount":50,"name":"Clan Reward VP 1","image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","is_clan":true}]},{"item_id":259766,"sku":"com.xsolla.silver_1","type":"virtual_currency","name":"Silver","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","price":{"amount":"0.50","amount_without_discount":"0.50","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"limits":null,"vp_rewards":[]},{"item_id":259767,"sku":"com.xsolla.bronze_1","type":"virtual_currency","name":"Bronze","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","price":{"amount":"0.10","amount_without_discount":"0.10","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"limits":null,"vp_rewards":[]},{"item_id":259768,"sku":"com.xsolla.gold_chest_1","type":"bundle","name":"Chest of gold","bundle_type":"virtual_currency_package","description":"Chest of gold","image_url":"https://cdn3.xsolla.com/img/misc/images/61b8d0785093017ce1f50ebed55c42a9.png","price":{"amount":"7.99","amount_without_discount":"7.99","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"content":[{"item_id":259765,"sku":"com.xsolla.gold_1","type":"virtual_currency","name":"Gold","description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","quantity":10}],"limits":null,"vp_rewards":[]},{"item_id":259769,"sku":"com.xsolla.silver_chest_1","type":"bundle","name":"Chest of silver","bundle_type":"virtual_currency_package","description":"Chest of silver","image_url":"https://cdn3.xsolla.com/img/misc/images/f0b59a3370404e8881107249051b70bd.png","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"content":[{"item_id":259766,"sku":"com.xsolla.silver_1","type":"virtual_currency","name":"Silver","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","quantity":50}],"limits":null,"vp_rewards":[]},{"item_id":259770,"sku":"com.xsolla.bronze_chest_1","type":"bundle","name":"Chest of bronze","bundle_type":"virtual_currency_package","description":"Chest of bronze","image_url":"https://cdn3.xsolla.com/img/misc/images/b32eb5b1f4f0c202ea6ac4e21c2eae18.png","price":{"amount":"5.99","amount_without_discount":"5.99","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"content":[{"item_id":259767,"sku":"com.xsolla.bronze_2","type":"virtual_currency","name":"Bronze","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","quantity":100}],"limits":null,"vp_rewards":[]},{"item_id":259771,"sku":"com.xsolla.sword_1","type":"virtual_good","name":"Sword","description":"Sword","image_url":"https://cdn3.xsolla.com/img/misc/images/a558727a420cad609556e4449b9ecb12.png","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_2","name":"Gold","type":"virtual_currency","amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_2","name":"Silver","type":"virtual_currency","amount":5,"amount_without_discount":5,"calculated_price":{"amount":"5.00","amount_without_discount":"5.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_2","name":"Bronze","type":"virtual_currency","amount":50,"amount_without_discount":50,"calculated_price":{"amount":"50.00","amount_without_discount":"50.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"swords","name":"Swords"}],"virtual_item_type":"non_consumable","limits":null,"vp_rewards":[]},{"item_id":259772,"sku":"com.xsolla.saber_1","type":"virtual_good","name":"Saber","description":"Saber","image_url":"https://cdn3.xsolla.com/img/misc/images/edd914d60301d77b94926478d253fcb6.png","price":{"amount":"3.99","amount_without_discount":"3.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_3","name":"Gold","type":"virtual_currency","amount":3,"amount_without_discount":3,"calculated_price":{"amount":"3.00","amount_without_discount":"3.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_3","name":"Silver","type":"virtual_currency","amount":7,"amount_without_discount":7,"calculated_price":{"amount":"7.00","amount_without_discount":"7.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_3","name":"Bronze","type":"virtual_currency","amount":70,"amount_without_discount":70,"calculated_price":{"amount":"70.00","amount_without_discount":"70.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"swords","name":"Swords"}],"virtual_item_type":"non_consumable","limits":null,"vp_rewards":[]},{"item_id":259773,"sku":"com.xsolla.bow_1","type":"virtual_good","name":"Bow","description":"Bow","image_url":"https://cdn3.xsolla.com/img/misc/images/3bb3b0a5254ad15134c891108898363f.png","price":{"amount":"4.99","amount_without_discount":"4.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_4","name":"Gold","type":"virtual_currency","amount":5,"amount_without_discount":5,"calculated_price":{"amount":"5.00","amount_without_discount":"5.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_4","name":"Silver","type":"virtual_currency","amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_4","name":"Bronze","type":"virtual_currency","amount":100,"amount_without_discount":100,"calculated_price":{"amount":"100.00","amount_without_discount":"100.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"bows","name":"Bows"}],"virtual_item_type":"non_consumable","limits":null,"vp_rewards":[]},{"item_id":259774,"sku":"com.xsolla.electric_shield_1","type":"virtual_good","name":"Electric shield","description":"Electric shield","image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_5","name":"Gold","type":"virtual_currency","amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_5","name":"Silver","type":"virtual_currency","amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_5","name":"Bronze","type":"virtual_currency","amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"armour","name":"Armour"}],"virtual_item_type":"non_consumable","vp_rewards":[]},{"item_id":259775,"sku":"com.xsolla.royal_shield_1","type":"virtual_good","name":"Royal shield","description":"Royal shield","image_url":"https://cdn3.xsolla.com/img/misc/images/ed417975312a52efeeab8b039ff25cb1.png","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_6","name":"Gold","type":"virtual_currency","amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_6","name":"Silver","type":"virtual_currency","amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_6","name":"Bronze","type":"virtual_currency","amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"armour","name":"Armour"}],"virtual_item_type":"non_consumable","vp_rewards":[]},{"item_id":259776,"sku":"com.xsolla.ancient_helmet_1","type":"virtual_good","name":"Ancient helmet","description":"Ancient helmet","image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_7","name":"Gold","type":"virtual_currency","amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_7","name":"Silver","type":"virtual_currency","amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_7","name":"Bronze","type":"virtual_currency","amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"armour","name":"Armour"}],"virtual_item_type":"non_consumable","vp_rewards":[]},{"item_id":259777,"sku":"com.xsolla.wooden_helmet_1","type":"virtual_good","name":"Wooden helmet","description":"Wooden helmet","image_url":"https://cdn3.xsolla.com/img/misc/images/40d2812e52ad9d988ac20fc842fc66f0.png","price":{"amount":"0.99","amount_without_discount":"0.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_8","name":"Gold","type":"virtual_currency","amount":1,"amount_without_discount":1,"calculated_price":{"amount":"1.00","amount_without_discount":"1.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_8","name":"Silver","type":"virtual_currency","amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_8","name":"Bronze","type":"virtual_currency","amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"armour","name":"Armour"}],"virtual_item_type":"non_consumable","vp_rewards":[]},{"item_id":259778,"sku":"com.xsolla.armor_chest_1","type":"bundle","name":"Chest of armor","bundle_type":"standard","description":"Chest of armour","image_url":"https://cdn3.xsolla.com/img/misc/images/5212202f9b8c9dbd254652d6cbeba03e.png","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_9","name":"Gold","type":"virtual_currency","amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_9","name":"Silver","type":"virtual_currency","amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_9","name":"Bronze","type":"virtual_currency","amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"total_content_price":{"amount":"11.98","amount_without_discount":"11.98","currency":"USD"},"content":[{"item_id":259774,"sku":"com.xsolla.electric_shield_2","type":"virtual_good","name":"Electric shield","description":"Electric shield","image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_10","name":"Gold","type":"virtual_currency","amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_10","name":"Silver","type":"virtual_currency","amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_10","name":"Bronze","type":"virtual_currency","amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"armour","name":"Armour"}],"virtual_item_type":"non_consumable","quantity":1},{"item_id":259776,"sku":"com.xsolla.ancient_helmet_2","type":"virtual_good","name":"Ancient helmet","description":"Ancient helmet","image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_11","name":"Gold","type":"virtual_currency","amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_11","name":"Silver","type":"virtual_currency","amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_11","name":"Bronze","type":"virtual_currency","amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"armour","name":"Armour"}],"virtual_item_type":"non_consumable","quantity":1}],"vp_rewards":[]},{"item_id":259779,"sku":"com.xsolla.treasure_chest_1","type":"bundle","name":"Treasure Chest","bundle_type":"standard","description":"Treasure Chest","image_url":"https://cdn3.xsolla.com/img/misc/images/7b1c0136d91398f9ab17924deee5eeec.png","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_12","name":"Gold","type":"virtual_currency","amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_12","name":"Silver","type":"virtual_currency","amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_12","name":"Bronze","type":"virtual_currency","amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"total_content_price":{"amount":"802.89","amount_without_discount":"802.89","currency":"USD"},"content":[{"item_id":259772,"sku":"com.xsolla.saber_2","type":"virtual_good","name":"Saber","description":"Saber","image_url":"https://cdn3.xsolla.com/img/misc/images/edd914d60301d77b94926478d253fcb6.png","price":{"amount":"3.99","amount_without_discount":"3.99","currency":"USD"},"virtual_prices":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"sku":"com.xsolla.gold_13","name":"Gold","type":"virtual_currency","amount":3,"amount_without_discount":3,"calculated_price":{"amount":"3.00","amount_without_discount":"3.00"},"is_default":true},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"sku":"com.xsolla.silver_13","name":"Silver","type":"virtual_currency","amount":7,"amount_without_discount":7,"calculated_price":{"amount":"7.00","amount_without_discount":"7.00"},"is_default":false},{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"sku":"com.xsolla.bronze_13","name":"Bronze","type":"virtual_currency","amount":70,"amount_without_discount":70,"calculated_price":{"amount":"70.00","amount_without_discount":"70.00"},"is_default":false}],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[{"external_id":"swords","name":"Swords"}],"virtual_item_type":"non_consumable","quantity":1},{"item_id":259769,"sku":"com.xsolla.silver_chest_2","type":"bundle","name":"Chest of silver","bundle_type":"virtual_currency_package","description":"Chest of silver","image_url":"https://cdn3.xsolla.com/img/misc/images/f0b59a3370404e8881107249051b70bd.png","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"content":[{"item_id":259766,"sku":"com.xsolla.silver_14","type":"virtual_currency","name":"Silver","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","quantity":50}],"quantity":10},{"item_id":259770,"sku":"com.xsolla.bronze_chest_2","type":"bundle","name":"Chest of bronze","bundle_type":"virtual_currency_package","description":"Chest of bronze","image_url":"https://cdn3.xsolla.com/img/misc/images/b32eb5b1f4f0c202ea6ac4e21c2eae18.png","price":{"amount":"5.99","amount_without_discount":"5.99","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"attributes":[],"is_free":false,"groups":[],"content":[{"item_id":259767,"sku":"com.xsolla.bronze_11","type":"virtual_currency","name":"Bronze","description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","quantity":100}],"quantity":100}],"vp_rewards":[]}]

  - `items.item_id` (integer)
    아이템 생성 시 제공되는 내부의 고유 아이템 ID입니다.
    Example: 259774

  - `items.sku` (string)
    고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.
    Example: "com.xsolla.electric_shield_1"

  - `items.name` (string)
    아이템 이름입니다.
    Example: "Electric shield"

  - `items.groups` (array)
    아이템이 속한 그룹입니다.

  - `items.groups.external_id` (string)
    생성 시 지정된 [외부 아이템 그룹 ID](/ko/api/catalog/item-groups-admin/admin-create-item-group#item-groups-admin/admin-create-item-group/t=request&path=external_id)입니다.
    Example: "exclusive"

  - `items.groups.name` (string)
    그룹의 이름입니다.
    Example: "Exclusive"

  - `items.groups.item_order_in_group` (integer)
    아이템의 표시 순서를 결정하는 그룹 내 아이템 위치입니다.
additional_fields[] 쿼리 매개 변수를 통해 요청된 경우에만 반환됩니다.
    Example: 1

  - `items.total_content_price` (object,null)
    번들 콘텐츠 가격의 합계입니다.

  - `items.total_content_price.amount` (string)
    할인이 적용된 번들 콘텐츠 가격의 합계입니다.
    Example: "100.99"

  - `items.total_content_price.amount_without_discount` (string)
    번들 콘텐츠 가격의 합계입니다.
    Example: "100.99"

  - `items.total_content_price.currency` (string)
    아이템 가격 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자리 코드입니다.

  - `items.attributes` (array)
    아이템에 해당하는 특성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

  - `items.attributes.external_id` (string)
    고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

  - `items.attributes.name` (object)
    특성의 이름입니다.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

  - `items.attributes.values.value` (string)
    특성의 값입니다.
    Example: "Strategy"

  - `items.type` (string)
    아이템 유형: virtual_good/virtual_currency/bundle/game_key/physical_good.
    Enum: "virtual_good", "virtual_currency", "bundle", "game_key", "physical_good"

  - `items.bundle_type` (string)
    번들 유형입니다. 아이템 유형이 번들인 경우 반환됩니다.
    Enum: "standard", "virtual_currency_package"

  - `items.description` (string)
    아이템 설명입니다.
    Example: "Electric shield"

  - `items.image_url` (string)
    이미지 URL입니다.
    Example: "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png"

  - `items.is_free` (boolean)
    아이템이 무료인지 여부입니다.

  - `items.price` (object)
    아이템 가격입니다.

  - `items.price.amount` (string)
    할인된 아이템 가격입니다.
    Example: "9.99"

  - `items.price.amount_without_discount` (string)
    아이템 가격입니다.
    Example: "9.99"

  - `items.price.currency` (string)
    아이템 가격 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자리 코드입니다.
    Example: "USD"

  - `items.virtual_prices` (array)
    가상 가격입니다.

  - `items.virtual_prices.amount` (integer)
    인게임 재화로 표시된 아이템 가격입니다.
    Example: 100

  - `items.virtual_prices.amount_without_discount` (integer)
    할인 없이 인게임 재화로 표시된 아이템 가격입니다. 인게임 재화 가격에는 할인이 적용되지 않으므로 항상 amount와 같습니다.
    Example: 200

  - `items.virtual_prices.calculated_price` (object)

  - `items.virtual_prices.calculated_price.amount` (string)

  - `items.virtual_prices.calculated_price.amount_without_discount` (string)

  - `items.virtual_prices.sku` (string)
    인게임 재화 SKU입니다.
    Example: "vc_gold"

  - `items.virtual_prices.is_default` (boolean)
    인게임 재화의 기본 가격인지 여부입니다.
    Example: true

  - `items.virtual_prices.image_url` (string,null)
    인게임 재화의 이미지 URL입니다.
    Example: "http://image.png"

  - `items.virtual_prices.item_id` (integer)
    엑솔라가 할당한 고유 아이템 ID입니다.
    Example: 259774

  - `items.virtual_prices.name` (string)
    인게임 재화의 이름입니다.
    Example: "Gold"

  - `items.virtual_prices.type` (string)
    아이템 유형. 인게임 재화의 경우 `virtual_currency입니다.
    Example: "virtual_currency"

  - `items.virtual_prices.description` (string,null)
    인게임 재화 설명입니다.
    Example: "In-game currency used to purchase weapons and upgrades"

  - `items.can_be_bought` (boolean)
    true일 경우 사용자는 아이템을 구매할 수 있습니다.
    Example: true

  - `items.promotions` (array)
    장바구니의 특정 아이템에 적용된 프로모션. 다음의 경우 배열이 반환됩니다.

* 특정 아이템에 대한 할인 프로모션이 구성된 경우

* 선택한 아이템 할인 설정이 있는 프로모션 코드가 적용된 경우

적용된 아이템 수준 프로모션이 없는 경우 빈 배열이 반환됩니다.

  - `items.promotions.name` (string)

  - `items.promotions.date_start` (string,null)

  - `items.promotions.date_end` (string,null)

  - `items.promotions.discount` (object,null)

  - `items.promotions.discount.percent` (string,null)

  - `items.promotions.discount.value` (string,null)

  - `items.promotions.bonus` (array)

  - `items.promotions.bonus.sku` (string)

  - `items.promotions.bonus.quantity` (integer)

  - `items.promotions.bonus.type` (string)
    보너스 아이템 유형입니다.
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.promotions.bonus.name` (string)
    보너스 아이템 이름입니다. physical_good 보너스 아이템 유형에는 사용할 수 없습니다.

  - `items.promotions.bonus.image_url` (string)
    보너스 아이템 이미지 URL입니다. physical_good 보너스 아이템 유형에는 사용할 수 없습니다.

  - `items.promotions.bonus.bundle_type` (string)
    보너스 번들 아이템 유형입니다. bundle 보너스 아이템 유형에서만 사용할 수 있습니다.
    Enum: "standard", "virtual_currency_package"

  - `items.promotions.limits` (object)

  - `items.promotions.limits.per_user` (object)

  - `items.promotions.limits.per_user.available` (integer)

  - `items.promotions.limits.per_user.total` (integer)

  - `items.virtual_item_type` (string)
    가상 아이템의 유형입니다.

사용 가능한 값: - consumable - 사용 후 인벤토리에서 사라지는 아이템(예: 탄약). - non_consumable - 인벤토리에 무기한으로 남아 있는 아이템. - non_renewing_subscription - 일정 기간 동안 서비스나 콘텐츠에 대한 이용 권한을 나타낼 수 있는 기간 한정 아이템.
    Enum: "consumable", "non_consumable", "non_renewing_subscription"

  - `items.limits` (object,null)
    아이템 제한 사항입니다.

  - `items.limits.per_user` (object,null)
    사용자 한 명에 대한 아이템 제한 사항입니다.

  - `items.limits.per_user.total` (integer)
    사용자 한 명이 구매할 수 있는 최대 아이템 수량입니다.
    Example: 5

  - `items.limits.per_user.available` (integer)
    현재 사용자가 구매할 수 있는 남은 아이템 수량.
    Example: 3

  - `items.limits.per_user.recurrent_schedule` (any)

  - `items.limits.per_user.limit_exceeded_visibility` (string)
    구매 한도에 도달한 후 다음 한도 재설정 때까지 카탈로그 내 아이템의 표시 여부를 결정합니다.

recurrent_schedule 배열에서 반복 한도 재설정이 구성된 아이템에 적용됩니다.

구매 한도에 도달한 후, 한도 초기화를 구성하지 않았다면limit_exceeded_visibility 값과 관계없이 해당 아이템은 카탈로그에 표시되지 않습니다.

사용 가능한 값: - show - 구매 한도에 도달한 이후에도 카탈로그 검색 API 호출 시 해당 아이템이 반환됩니다. 클라이언트 측 카탈로그 검색 API 호출에서 한도에 도달하면, 해당 아이템은 can_be_bought: false 플래그와 함께 반환됩니다. 다음 재설정 날짜는 reset_next_date에 반환됩니다. - hide - 구매 한도에 도달한 후, 한도가 재설정될 때까지 해당 아이템은 카탈로그 검색 API 호출에서 반환되지 않습니다.
    Enum: "show", "hide"

  - `items.limits.per_item` (object,null)
    한 개 아이템에 대한 아이템 제한 사항입니다.

  - `items.limits.per_item.total` (integer)
    모든 사용자가 구매할 수 있는 최대 아이템 수량.
    Example: 5

  - `items.limits.per_item.available` (integer)
    모든 사용자가 구매할 수 있는 남은 아이템 수량.
    Example: 3

  - `items.custom_attributes` (object)
    아이템 특성 및 값이 포함된 JSON 개체입니다.

  - `items.vp_rewards` (array)
    아이템의 가치 포인트 리워드 목록입니다.

  - `items.vp_rewards.item_id` (integer)
    내부 고유 아이템 ID입니다.

  - `items.vp_rewards.sku` (string)
    고유 가치 포인트 ID입니다.

  - `items.vp_rewards.amount` (integer)
    가치 포인트의 금액입니다.

  - `items.vp_rewards.name` (string)
    가치 포인트 이름입니다.

  - `items.vp_rewards.image_url` (string)
    이미지 URL입니다.

  - `items.vp_rewards.is_clan` (boolean)
    값 포인트가 클랜 보상 체인에서 사용되는지 여부입니다.

  - `items.loyalty_rewards` (array)
    사용자가 아이템 구매 보상으로 받는 로열티 포인트입니다.

  - `items.loyalty_rewards.name` (string)
    로열티 포인트 이름입니다.

  - `items.loyalty_rewards.sku` (string)
    로열티 포인트 SKU. 예를 들어 로열티 포인트로 결제하는 주문을 생성할 때 다른 API 호출의 loyalty_point_sku 매개 변수에서 이 값을 전달합니다.

  - `items.loyalty_rewards.description` (string)
    로열티 포인트의 설명입니다.

  - `items.loyalty_rewards.image_url` (string,null)
    이미지 URL입니다.

  - `items.loyalty_rewards.amount` (integer)
    사용자가 아이템 구매 시 받는 로열티 포인트입니다.

  - `items.loyalty_prices` (array)
    아이템 구매에 사용할 수 있는 로열티 포인트입니다.

  - `items.loyalty_prices.name` (string)
    로열티 포인트 이름입니다.

  - `items.loyalty_prices.sku` (string)
    로열티 포인트 SKU. 예를 들어 로열티 포인트로 결제하는 주문을 생성할 때 다른 API 호출의 loyalty_point_sku 매개 변수에서 이 값을 전달합니다.

  - `items.loyalty_prices.description` (string)
    로열티 포인트의 설명입니다.

  - `items.loyalty_prices.image_url` (string,null)
    이미지 URL입니다.

  - `items.loyalty_prices.amount` (integer)
    지정된 로열티 포인트로 표시된 아이템 가격입니다.

  - `items.content` (array)


